#include "../macphy.h"

static uint16_t variant_inle16_8( uintptr_t addr )
{
    uint8_t b1,b2;
    b1 = in8( addr );
    b2 = in8( addr + 1 );
    return( ( b2 << 8 ) | b1 );
}

static void variant_outle16_8( uintptr_t addr, uint16_t value )
{
    out8( addr, value & 0xFF );
    out8( addr + 1, ( value >> 8 ) & 0xFF );
}

static uint16_t variant_inle16_16( uintptr_t addr )
{
    return inle16( addr );
}

static void variant_outle16_16( uintptr_t addr, uint16_t value )
{
    outle16( addr, value );
}

static uint8_t variant_in8( uintptr_t addr )
{
    return in8( addr );
}

static void variant_out8( uintptr_t addr, uint8_t value )
{
    out8( addr, value );
}

int variant_transfer_data( Nic_t *nic, int length, void *ptr, int dir )
{
    return 0;
}

/* ignore the ext->variant in this case */
int variant_setup_io( Nic_t *nic )
{
    return 0;
}

int variant_pre_init( Nic_t *nic )
{
    nic = nic;
    return 0;
}

int variant_post_init( Nic_t *nic )
{
    nic = nic;
    return 0;
}

